2 c0ol jie c0ol_jie 于 2016.03.18 15:21 提问

JavaFX 部署 运行出错

刚学JavaFX 跟着教程 一步一步往下做, 到部署的时候
右键bulid.xml文件, Run as ==> Ant build 报错

谁知道可能是什么原因吗?

init-fx-tasks:
[taskdef] Could not load definitions from resource com/sun/javafx/tools/ant/antlib.xml. It could not be found.
do-deploy:
[copy] Copying 3 files to D:\MyWork\git\git-demo\pack_fx\build\dist\libs

BUILD FAILED
D:\MyWork\git\git-demo\pack_fx\build\build.xml:116: Problem: failed to create task or type javafx:com.sun.javafx.tools.ant:resources
Cause: The name is undefined.
Action: Check the spelling.
Action: Check that any custom tasks/types have been declared.
Action: Check that any / declarations have taken place.
No types or tasks have been defined in this namespace yet

图片说明

1个回答

devmiao
devmiao   Ds   Rxr 2016.03.18 22:45
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
使用idea部署javafx—jar & exe
在项目上按F4进入当前项目配置界面(File->project stucture),在Artifact 中点击+添加一个新的Artifact  JavaFX Application -> from module xxx 配置新添加的对象来输出exe程序 选中新增的Artifact对象,找到JavaFX选项卡 选择程序的入口Application clas
每周问题系列 - JavaFX界面没响应,Maven编译自动忽略rt包
每周问题系列 - JavaFX界面没响应,Maven编译自动忽略rt包
intellij 打包javafx应用
这2天有人问WIN10+JDK8+JAVAFX打包的应用在xp系统使用,看了下原来JDK8不支持xp,而且现在电脑都是64位的,32的很少。但是没办法,应用必须在xp上跑。故google+尝试,发现一个很简单打包方法。 首先保证程序正常编译运行,然后按照如下步骤即可: step 1 step 2 step 3 step 4 step 5 step 6 : 配置
使用e(fx)clipse进行JavaFX项目的打包
对于e(fx)clipse,本人也不再赘述,其实就是eclipse的JavaFX插件。  那么,我们将看看e(fx)clipse是如何进行项目打包的。      首先打开e(fx)clipse,新建一个JavaFX Project。   然后新建一个JavaFX Main Class,往start方法中随便添加点代码。   最后进行运行,发现程序可以成功运行。
javaFX初探(部署)
以后再说,目前直接eclipse导出jar包
JavaFX离线部署和运行,客户端浏览器可以自动检测并下载安装指定服务器的JRE
 此文主要说明如何在离线的情况下使用JavaFX程序,以及在没有安装JRE的客户端,如何自动下载并安装指定服务器上的JRE。(此文是在NetBeans开发工具下进行的,并且由IDE自动生成部署时所需文件)1、安装JRE(最低需要JRE6 Update10以上)。注意,不同版本的JFX也对应不同的JRE,在离线使用的情况下。比如JFX1.2的离线包在JRE6 12(及以前)上就有问题,JFX1.3最好对应最新的JRE(目前(写这篇文章的时候)比较稳定的是:jre-6u24-windows-i586.exe,并
基于IntelliJ IDEA打包JavaFX
转自:https://blog.jetbrains.com/idea/2013/03/packaging-javafx-2-applications-in-intellij-idea-121/
JavaFX开发环境安装配置
转自:http://www.yiibai.com/javafx/javafx_environment.html JavaFX开发环境安装配置 从Java8开始,JDK(Java开发工具包)包括了JavaFX库。 因此,要运行JavaFX应用程序,您只需要在系统中安装Java8或更高版本。 除此之外,IDE(如Eclipse和NetBeans)为JavaFX提供
将JavaFX运行到Android上
本人在之前的博客中提到过很多次,目前已经有一些自发的项目,来使JavaFX运行到Android上面。不过惭愧的是,我也是研究了一会儿,今天才真正打包到手机上运行的。   下面先看一些手机上运行的效果,由本人手机截图的:      对JavaFX有些研究的人,肯定会知道这个是JavaFX官方的示例Ensemble。由于这个示例比较的大,在手机上加载的时间
JavaFX在导出可执行文件时所遭遇的问题以及解决办法
其实导出可执行文件这最后一步本应是非常简单的,但是由于忽视各种细节,导致不能成功,耗费太多时间。 在一个JavaFX项目如果第一次对项目进行Generate ant build.xml and run时,报出以下提示时: "Not a JDK", "The project is attached to a JRE only so ant would be started with a JRE